net.sf.jasperreports.data

## Class DataAdapterParameterContributorFactory

- java.lang.Object
- - net.sf.jasperreports.data.DataAdapterParameterContributorFactory

- All Implemented Interfaces:
    ParameterContributorFactory

      public final class DataAdapterParameterContributorFactory
      extends java.lang.Object
      implements ParameterContributorFactory

  Version:
    $Id: DataAdapterParameterContributorFactory.java 6918 2014-02-19 17:35:10Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DATA_ADAPTER_LOCATION` A report/dataset level property that provides the location of a data adapter resource to be used for the dataset.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ParameterContributor>` | `getContributors(ParameterContributorContext context)` Returns a list of parameter contributor instances to be used during report filling.
    `static DataAdapterParameterContributorFactory` | `getInstance()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DATA_ADAPTER_LOCATION

          public static final java.lang.String PROPERTY_DATA_ADAPTER_LOCATION

      A report/dataset level property that provides the location of a data adapter resource to be used for the dataset.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static DataAdapterParameterContributorFactory getInstance()

    - #### getContributors

          public java.util.List<ParameterContributor> getContributors(ParameterContributorContext context)
                                                               throws JRException

      Description copied from interface: `ParameterContributorFactory`
      Returns a list of parameter contributor instances to be used during report filling. This method can return `null` if no parameter contributor is to be used.
      Specified by:
        `getContributors` in interface `ParameterContributorFactory`
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com